SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector (BioJava-1.5-beta API)
Keywords: org.biojava.bio.symbol.SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Class SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector

    java.lang.Object
      org.biojava.bio.symbol.SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector

All Implemented Interfaces:
  SoftMaskedAlphabet.MaskingDetector

Enclosing interface:
  SoftMaskedAlphabet.MaskingDetector

    public static class SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector

extends Object
implements SoftMaskedAlphabet.MaskingDetector

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.symbol.SoftMaskedAlphabet.MaskingDetector
`SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector`

Field Summary

Fields inherited from interface org.biojava.bio.symbol.SoftMaskedAlphabet.MaskingDetector
`DEFAULT`

Constructor Summary
`SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector()`

Method Summary
`boolean` | `isMasked(String token)` Default Behaivour is that if the whole token is lower case it is masked.
`String` | `mask(String token)` Masks a token by making it lowercase
`String` | `unmask(String token)` Un-masks the token by making it upper case.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector

    public SoftMaskedAlphabet.MaskingDetector.DefaultMaskingDetector()

Method Detail

### isMasked

    public boolean isMasked(String token)

  Default Behaivour is that if the whole token is lower case it is masked.

  Specified by:
    `isMasked` in interface `SoftMaskedAlphabet.MaskingDetector`
  Parameters:
    `token` - the `String` to check for masking
  Returns:
    true is it is all lower case, otherwise false.

### mask

    public String mask(String token)

  Masks a token by making it lowercase

  Specified by:
    `mask` in interface `SoftMaskedAlphabet.MaskingDetector`
  Parameters:
    `token` - the `String` to mask
  Returns:
    a lower case `String`

### unmask

    public String unmask(String token)

  Un-masks the token by making it upper case.

  Specified by:
    `unmask` in interface `SoftMaskedAlphabet.MaskingDetector`
  Parameters:
    `token` - the `String` to unmask
  Returns:
    the upper case `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD